<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__wcm__wlan__statistics__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_wcm_wlan_statistics_t</compoundname>
    <includes local="no">cy_wcm.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__wcm__wlan__statistics__t_1a5d2bbf3841011afecbcb5d92d8a65815" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_wcm_wlan_statistics_t::rx_bytes</definition>
        <argsstring />
        <name>rx_bytes</name>
        <briefdescription>
<para>Total received bytes. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" bodystart="511" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" line="511" />
      </memberdef>
      <memberdef id="structcy__wcm__wlan__statistics__t_1a98e6c33c50f4666a908f9d712f5c0a53" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_wcm_wlan_statistics_t::tx_bytes</definition>
        <argsstring />
        <name>tx_bytes</name>
        <briefdescription>
<para>Total transmitted bytes. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" bodystart="512" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" line="512" />
      </memberdef>
      <memberdef id="structcy__wcm__wlan__statistics__t_1a91084eaf5e8cf3d57521af0b518f7e34" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_wcm_wlan_statistics_t::rx_packets</definition>
        <argsstring />
        <name>rx_packets</name>
        <briefdescription>
<para>Total received WLAN packets. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" bodystart="513" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" line="513" />
      </memberdef>
      <memberdef id="structcy__wcm__wlan__statistics__t_1a3a8559869256dac2d7ad1011133eebd8" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_wcm_wlan_statistics_t::tx_packets</definition>
        <argsstring />
        <name>tx_packets</name>
        <briefdescription>
<para>Total transmitted WLAN packets. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" bodystart="514" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" line="514" />
      </memberdef>
      <memberdef id="structcy__wcm__wlan__statistics__t_1ace1911e7d5a9d48df6cc163f623dcbef" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_wcm_wlan_statistics_t::tx_retries</definition>
        <argsstring />
        <name>tx_retries</name>
        <briefdescription>
<para>Total transmission retries. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" bodystart="515" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" line="515" />
      </memberdef>
      <memberdef id="structcy__wcm__wlan__statistics__t_1aefb719dce691a8f7e4742be439c19424" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_wcm_wlan_statistics_t::tx_failed</definition>
        <argsstring />
        <name>tx_failed</name>
        <briefdescription>
<para>Total failed packets. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" bodystart="516" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" line="516" />
      </memberdef>
      <memberdef id="structcy__wcm__wlan__statistics__t_1acf071fd3115d3483a5fd5a1520e9868d" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_wcm_wlan_statistics_t::tx_bitrate</definition>
        <argsstring />
        <name>tx_bitrate</name>
        <briefdescription>
<para>Current transmitted data rate in Kbps. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" bodystart="517" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" line="517" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Structure used to receive the WLAN statistics of the given Interface from the time WLAN driver is up. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="518" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" bodystart="509" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" line="510" />
    <listofallmembers>
      <member prot="public" refid="structcy__wcm__wlan__statistics__t_1a5d2bbf3841011afecbcb5d92d8a65815" virt="non-virtual"><scope>cy_wcm_wlan_statistics_t</scope><name>rx_bytes</name></member>
      <member prot="public" refid="structcy__wcm__wlan__statistics__t_1a91084eaf5e8cf3d57521af0b518f7e34" virt="non-virtual"><scope>cy_wcm_wlan_statistics_t</scope><name>rx_packets</name></member>
      <member prot="public" refid="structcy__wcm__wlan__statistics__t_1acf071fd3115d3483a5fd5a1520e9868d" virt="non-virtual"><scope>cy_wcm_wlan_statistics_t</scope><name>tx_bitrate</name></member>
      <member prot="public" refid="structcy__wcm__wlan__statistics__t_1a98e6c33c50f4666a908f9d712f5c0a53" virt="non-virtual"><scope>cy_wcm_wlan_statistics_t</scope><name>tx_bytes</name></member>
      <member prot="public" refid="structcy__wcm__wlan__statistics__t_1aefb719dce691a8f7e4742be439c19424" virt="non-virtual"><scope>cy_wcm_wlan_statistics_t</scope><name>tx_failed</name></member>
      <member prot="public" refid="structcy__wcm__wlan__statistics__t_1a3a8559869256dac2d7ad1011133eebd8" virt="non-virtual"><scope>cy_wcm_wlan_statistics_t</scope><name>tx_packets</name></member>
      <member prot="public" refid="structcy__wcm__wlan__statistics__t_1ace1911e7d5a9d48df6cc163f623dcbef" virt="non-virtual"><scope>cy_wcm_wlan_statistics_t</scope><name>tx_retries</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>